Last Comment Bug 716787 - FAIL_ON_WARNINGS cause Mac OS X build failures with "[mangled variable name]$non_lazy_ptr can't be undefined in a subtraction expression" and "Undefined local symbol [mangled variable name]$non_lazy_ptr"
: FAIL_ON_WARNINGS cause Mac OS X build failures with "[mangled variable name]$...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: General (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: mozilla12
Assigned To: Daniel Holbert [:dholbert]
:
Mentors:
Depends on: 703121
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-09 20:23 PST by Daniel Holbert [:dholbert]
Modified: 2012-01-12 08:36 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
log from FAIL_ON_WARNINGS in SVG directories (304.14 KB, application/gzip)
2012-01-09 20:26 PST, Daniel Holbert [:dholbert]
no flags Details
log from FAIL_ON_WARNINGS in /layout/tables (303.52 KB, application/gzip)
2012-01-09 20:28 PST, Daniel Holbert [:dholbert]
no flags Details
patch v1: disable warnings-as-errors on Mac OS X 32-bit builders (800 bytes, patch)
2012-01-10 15:28 PST, Daniel Holbert [:dholbert]
mh+mozilla: review+
Details | Diff | Splinter Review

Description Daniel Holbert [:dholbert] 2012-01-09 20:23:28 PST
I'm trying to add FAIL_ON_WARNINGS to some directories with code for SVG (bug 716699) and tables (bug 716738), but I'm running up against a mysterious build failure on Mac OS X debug.

In both cases, it seems to be hitting a some "undefined symbol" build errors right after printing out some "[var] may be used used uninitialized" warnings.

Note that we don't actually seem to treat the uninitialized-var warnings as errors (which is good, per bug 716541) -- those lines are flagged as "warning:", not "error", in the build log.  I suspect the error is still related to those somehow, but that's just a guess.

Try push with FAIL_ON_WARNINGS in SVG directories (errors out in nsSVGClipPathFrame.cpp):
  https://tbpl.mozilla.org/?tree=Try&rev=073f3373f0a9

Try push with FAIL_ON_WARNINGS in /layout/tables: (errors out in nsTableFrame.cpp):
  https://tbpl.mozilla.org/?tree=Try&rev=be5abfd5a37c
Comment 1 Daniel Holbert [:dholbert] 2012-01-09 20:26:08 PST
Created attachment 587236 [details]
log from FAIL_ON_WARNINGS in SVG directories

Attaching the log from adding FAIL_ON_WARNINGS in SVG directories.

Here's the copypasted interesting part of the log:

cc1plus: warnings being treated as errors
/builds/slave/try-osx-dbg/build/layout/svg/base/src/nsSVGClipPathFrame.cpp: In member function 'nsresult nsSVGClipPathFrame::ClipPaint(nsSVGRenderState*, nsIFrame*, const gfxMatrix&)':
/builds/slave/try-osx-dbg/build/layout/svg/base/src/nsSVGClipPathFrame.cpp:90: warning: 'referencedClipIsTrivial' may be used uninitialized in this function
{standard input}:1963:non-relocatable subtraction expression, "__ZTV18nsSVGClipPathFrame" minus "L00000000008$pb"
{standard input}:1963:symbol: "__ZTV18nsSVGClipPathFrame" can't be undefined in a subtraction expression
{standard input}:1937:non-relocatable subtraction expression, "L__ZTV16nsContainerFrame$non_lazy_ptr" minus "L00000000008$pb"
{standard input}:1937:symbol: "L__ZTV16nsContainerFrame$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:1662:non-relocatable subtraction expression, "L__ZN9nsGkAtoms11svgUseFrameE$non_lazy_ptr" minus "L00000000007$pb"
{standard input}:1662:symbol: "L__ZN9nsGkAtoms11svgUseFrameE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:1639:non-relocatable subtraction expression, "L__ZN9nsGkAtoms12svgTextFrameE$non_lazy_ptr" minus "L00000000007$pb"
{standard input}:1639:symbol: "L__ZN9nsGkAtoms12svgTextFrameE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:1636:non-relocatable subtraction expression, "L__ZN9nsGkAtoms20svgPathGeometryFrameE$non_lazy_ptr" minus "L00000000007$pb"
{standard input}:1636:symbol: "L__ZN9nsGkAtoms20svgPathGeometryFrameE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:1627:non-relocatable subtraction expression, "L__ZN9nsGkAtoms12svgTextFrameE$non_lazy_ptr" minus "L00000000007$pb"
{standard input}:1627:symbol: "L__ZN9nsGkAtoms12svgTextFrameE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:1617:non-relocatable subtraction expression, "L__ZN9nsGkAtoms20svgPathGeometryFrameE$non_lazy_ptr" minus "L00000000007$pb"
{standard input}:1617:symbol: "L__ZN9nsGkAtoms20svgPathGeometryFrameE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:1080:non-relocatable subtraction expression, "L__ZN9nsGkAtoms13clipPathUnitsE$non_lazy_ptr" minus "L00000000005$pb"
{standard input}:1080:symbol: "L__ZN9nsGkAtoms13clipPathUnitsE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:1075:non-relocatable subtraction expression, "L__ZN9nsGkAtoms9transformE$non_lazy_ptr" minus "L00000000005$pb"
{standard input}:1075:symbol: "L__ZN9nsGkAtoms9transformE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:890:non-relocatable subtraction expression, "__ZN24nsIDOMSVGClipPathElement11COMTypeInfoIiE4kIIDE" minus "L00000000004$pb"
{standard input}:890:symbol: "__ZN24nsIDOMSVGClipPathElement11COMTypeInfoIiE4kIIDE" can't be undefined in a subtraction expression
{standard input}:515:non-relocatable subtraction expression, "L__ZN9nsGkAtoms16svgClipPathFrameE$non_lazy_ptr" minus "L00000000001$pb"
{standard input}:515:symbol: "L__ZN9nsGkAtoms16svgClipPathFrameE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:2031:non-relocatable subtraction expression, "L__ZTV19nsSVGContainerFrame$non_lazy_ptr" minus "L00000000009$pb"
{standard input}:2031:symbol: "L__ZTV19nsSVGContainerFrame$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:2013:non-relocatable subtraction expression, "__ZTV18nsSVGClipPathFrame" minus "L00000000009$pb"
{standard input}:2013:symbol: "__ZTV18nsSVGClipPathFrame" can't be undefined in a subtraction expression
{standard input}:565:non-relocatable subtraction expression, "L__ZTV19nsSVGContainerFrame$non_lazy_ptr" minus "L00000000002$pb"
{standard input}:565:symbol: "L__ZTV19nsSVGContainerFrame$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:547:non-relocatable subtraction expression, "__ZTV18nsSVGClipPathFrame" minus "L00000000002$pb"
{standard input}:547:symbol: "__ZTV18nsSVGClipPathFrame" can't be undefined in a subtraction expression
{standard input}:unknown:Undefined local symbol L__ZN9nsGkAtoms16svgClipPathFrameE$non_lazy_ptr
{standard input}:unknown:Undefined local symbol L__ZTV19nsSVGContainerFrame$non_lazy_ptr
{standard input}:unknown:Undefined local symbol L__ZN9nsGkAtoms9transformE$non_lazy_ptr
{standard input}:unknown:Undefined local symbol L__ZN9nsGkAtoms13clipPathUnitsE$non_lazy_ptr
{standard input}:unknown:Undefined local symbol L__ZN9nsGkAtoms20svgPathGeometryFrameE$non_lazy_ptr
{standard input}:unknown:Undefined local symbol L__ZN9nsGkAtoms12svgTextFrameE$non_lazy_ptr
{standard input}:unknown:Undefined local symbol L__ZN9nsGkAtoms11svgUseFrameE$non_lazy_ptr
{standard input}:unknown:Undefined local symbol L__ZTV16nsContainerFrame$non_lazy_ptr
make[6]: *** [nsSVGClipPathFrame.o] Error 1
make[5]: *** [svg/base/src_libs] Error 2
Comment 2 Daniel Holbert [:dholbert] 2012-01-09 20:28:35 PST
Created attachment 587237 [details]
log from FAIL_ON_WARNINGS in /layout/tables

...and here's the log from FAIL_ON_WARNINGS in /layout/tables. Again, interesting part copypasted below.

cc1plus: warnings being treated as errors
/builds/slave/try-osx-dbg/build/layout/tables/nsTableFrame.cpp: In static member function 'static nsresult nsTableFrame::DisplayGenericTablePart(nsDisplayListBuilder*, nsFrame*, const nsRect&, const nsDisplayListSet&, nsDisplayTableItem*, nsresult (*)(nsDisplayListBuilder*, nsFrame*, const nsRect&, const nsDisplayListSet&))':
/builds/slave/try-osx-dbg/build/layout/tables/nsTableFrame.cpp:1186: warning: 'pushTableItem.nsAutoPushCurrentTableItem::mOldCurrentItem' may be used uninitialized in this function
/builds/slave/try-osx-dbg/build/layout/tables/nsTableFrame.cpp:1186: warning: 'pushTableItem.nsAutoPushCurrentTableItem::mPushedItem' may be used uninitialized in this function
{standard input}:16725:non-relocatable subtraction expression, "L__ZN9nsGkAtoms10tableFrameE$non_lazy_ptr" minus "L00000000064$pb"
{standard input}:16725:symbol: "L__ZN9nsGkAtoms10tableFrameE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:16699:non-relocatable subtraction expression, "L__ZN9nsGkAtoms10tableFrameE$non_lazy_ptr" minus "L00000000064$pb"
{standard input}:16699:symbol: "L__ZN9nsGkAtoms10tableFrameE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:16696:non-relocatable subtraction expression, "L__ZN9nsGkAtoms18tableRowGroupFrameE$non_lazy_ptr" minus "L00000000064$pb"
{standard input}:16696:symbol: "L__ZN9nsGkAtoms18tableRowGroupFrameE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:16693:non-relocatable subtraction expression, "L__ZN9nsGkAtoms13tableRowFrameE$non_lazy_ptr" minus "L00000000064$pb"
{standard input}:16693:symbol: "L__ZN9nsGkAtoms13tableRowFrameE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:16686:non-relocatable subtraction expression, "L__ZN9nsGkAtoms16bcTableCellFrameE$non_lazy_ptr" minus "L00000000064$pb"
{standard input}:16686:symbol: "L__ZN9nsGkAtoms16bcTableCellFrameE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:16682:non-relocatable subtraction expression, "L__ZN9nsGkAtoms14tableCellFrameE$non_lazy_ptr" minus "L00000000064$pb"
{standard input}:16682:symbol: "L__ZN9nsGkAtoms14tableCellFrameE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:16564:non-relocatable subtraction expression, "L__ZN9nsGkAtoms10tableFrameE$non_lazy_ptr" minus "L00000000064$pb"
{standard input}:16564:symbol: "L__ZN9nsGkAtoms10tableFrameE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:16556:non-relocatable subtraction expression, "L__ZN9nsGkAtoms18tableRowGroupFrameE$non_lazy_ptr" minus "L00000000064$pb"
{standard input}:16556:symbol: "L__ZN9nsGkAtoms18tableRowGroupFrameE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:16548:non-relocatable subtraction expression, "L__ZN9nsGkAtoms13tableRowFrameE$non_lazy_ptr" minus "L00000000064$pb"
{standard input}:16548:symbol: "L__ZN9nsGkAtoms13tableRowFrameE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:16536:non-relocatable subtraction expression, "L__ZN9nsGkAtoms16bcTableCellFrameE$non_lazy_ptr" minus "L00000000064$pb"
{standard input}:16536:symbol: "L__ZN9nsGkAtoms16bcTableCellFrameE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:16532:non-relocatable subtraction expression, "L__ZN9nsGkAtoms14tableCellFrameE$non_lazy_ptr" minus "L00000000064$pb"
{standard input}:16532:symbol: "L__ZN9nsGkAtoms14tableCellFrameE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:16324:non-relocatable subtraction expression, "__ZZL15TableBCPropertyvE10descriptor" minus "L00000000062$pb"
{standard input}:16324:symbol: "__ZZL15TableBCPropertyvE10descriptor" can't be undefined in a subtraction expression
{standard input}:16160:non-relocatable subtraction expression, "L__ZN14nsTArrayHeader9sEmptyHdrE$non_lazy_ptr" minus "L00000000060$pb"
{standard input}:16160:symbol: "L__ZN14nsTArrayHeader9sEmptyHdrE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:15858:non-relocatable subtraction expression, "L__ZN14nsTArrayHeader9sEmptyHdrE$non_lazy_ptr" minus "L00000000059$pb"
{standard input}:15858:symbol: "L__ZN14nsTArrayHeader9sEmptyHdrE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:15038:non-relocatable subtraction expression, "L__ZN14nsCSSAnonBoxes13tableColGroupE$non_lazy_ptr" minus "L00000000056$pb"
{standard input}:15038:symbol: "L__ZN14nsCSSAnonBoxes13tableColGroupE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:13907:non-relocatable subtraction expression, "__ZL15styleToPriority" minus "L00000000052$pb"
{standard input}:13907:symbol: "__ZL15styleToPriority" can't be undefined in a subtraction expression
{standard input}:13906:non-relocatable subtraction expression, "__ZL15styleToPriority" minus "L00000000052$pb"
{standard input}:13906:symbol: "__ZL15styleToPriority" can't be undefined in a subtraction expression
{standard input}:13153:non-relocatable subtraction expression, "__ZL15styleToPriority" minus "L00000000051$pb"
{standard input}:13153:symbol: "__ZL15styleToPriority" can't be undefined in a subtraction expression
{standard input}:13151:non-relocatable subtraction expression, "__ZL15styleToPriority" minus "L00000000051$pb"
{standard input}:13151:symbol: "__ZL15styleToPriority" can't be undefined in a subtraction expression
{standard input}:13123:non-relocatable subtraction expression, "__ZL15styleToPriority" minus "L00000000051$pb"
{standard input}:13123:symbol: "__ZL15styleToPriority" can't be undefined in a subtraction expression
{standard input}:13122:non-relocatable subtraction expression, "__ZL15styleToPriority" minus "L00000000051$pb"
{standard input}:13122:symbol: "__ZL15styleToPriority" can't be undefined in a subtraction expression
{standard input}:13094:non-relocatable subtraction expression, "__ZL15styleToPriority" minus "L00000000051$pb"
{standard input}:13094:symbol: "__ZL15styleToPriority" can't be undefined in a subtraction expression
{standard input}:13093:non-relocatable subtraction expression, "__ZL15styleToPriority" minus "L00000000051$pb"
{standard input}:13093:symbol: "__ZL15styleToPriority" can't be undefined in a subtraction expression
{standard input}:13065:non-relocatable subtraction expression, "__ZL15styleToPriority" minus "L00000000051$pb"
{standard input}:13065:symbol: "__ZL15styleToPriority" can't be undefined in a subtraction expression
{standard input}:13064:non-relocatable subtraction expression, "__ZL15styleToPriority" minus "L00000000051$pb"
{standard input}:13064:symbol: "__ZL15styleToPriority" can't be undefined in a subtraction expression
{standard input}:13036:non-relocatable subtraction expression, "__ZL15styleToPriority" minus "L00000000051$pb"
{standard input}:13036:symbol: "__ZL15styleToPriority" can't be undefined in a subtraction expression
{standard input}:13035:non-relocatable subtraction expression, "__ZL15styleToPriority" minus "L00000000051$pb"
{standard input}:13035:symbol: "__ZL15styleToPriority" can't be undefined in a subtraction expression
{standard input}:12451:non-relocatable subtraction expression, "LC90" minus "L00000000050$pb"
{standard input}:12451:symbol: "LC90" can't be undefined in a subtraction expression
{standard input}:12361:non-relocatable subtraction expression, "LC90" minus "L00000000050$pb"
{standard input}:12361:symbol: "LC90" can't be undefined in a subtraction expression
{standard input}:12359:non-relocatable subtraction expression, "LC83" minus "L00000000050$pb"
{standard input}:12359:symbol: "LC83" can't be undefined in a subtraction expression
{standard input}:12353:non-relocatable subtraction expression, "LC89" minus "L00000000050$pb"
{standard input}:12353:symbol: "LC89" can't be undefined in a subtraction expression
{standard input}:12149:non-relocatable subtraction expression, "L__ZN10nsCSSProps17kSubpropertyTableE$non_lazy_ptr" minus "L00000000049$pb"
{standard input}:12149:symbol: "L__ZN10nsCSSProps17kSubpropertyTableE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:11024:non-relocatable subtraction expression, "L__ZN9nsGkAtoms18tableColGroupFrameE$non_lazy_ptr" minus "L00000000046$pb"
{standard input}:11024:symbol: "L__ZN9nsGkAtoms18tableColGroupFrameE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:10190:non-relocatable subtraction expression, "__ZN11nsIRunnable11COMTypeInfoIiE4kIIDE" minus "L00000000044$pb"
{standard input}:10190:symbol: "__ZN11nsIRunnable11COMTypeInfoIiE4kIIDE" can't be undefined in a subtraction expression
{standard input}:10130:non-relocatable subtraction expression, "__ZTV22nsDelayedCalcBCBorders" minus "L00000000044$pb"
{standard input}:10130:symbol: "__ZTV22nsDelayedCalcBCBorders" can't be undefined in a subtraction expression
{standard input}:10106:non-relocatable subtraction expression, "L__ZTV10nsRunnable$non_lazy_ptr" minus "L00000000044$pb"
{standard input}:10106:symbol: "L__ZTV10nsRunnable$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:9733:non-relocatable subtraction expression, "L__ZN9nsGkAtoms14tableCellFrameE$non_lazy_ptr" minus "L00000000042$pb"
{standard input}:9733:symbol: "L__ZN9nsGkAtoms14tableCellFrameE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:9711:non-relocatable subtraction expression, "L__ZN9nsGkAtoms10tableFrameE$non_lazy_ptr" minus "L00000000042$pb"
{standard input}:9711:symbol: "L__ZN9nsGkAtoms10tableFrameE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:9707:non-relocatable subtraction expression, "L__ZN9nsGkAtoms18tableRowGroupFrameE$non_lazy_ptr" minus "L00000000042$pb"
{standard input}:9707:symbol: "L__ZN9nsGkAtoms18tableRowGroupFrameE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:9704:non-relocatable subtraction expression, "L__ZN9nsGkAtoms13tableRowFrameE$non_lazy_ptr" minus "L00000000042$pb"
{standard input}:9704:symbol: "L__ZN9nsGkAtoms13tableRowFrameE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:9698:non-relocatable subtraction expression, "L__ZN9nsGkAtoms16bcTableCellFrameE$non_lazy_ptr" minus "L00000000042$pb"
{standard input}:9698:symbol: "L__ZN9nsGkAtoms16bcTableCellFrameE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:8944:non-relocatable subtraction expression, "__ZL15styleToPriority" minus "L00000000040$pb"
{standard input}:8944:symbol: "__ZL15styleToPriority" can't be undefined in a subtraction expression
{standard input}:8943:non-relocatable subtraction expression, "__ZL15styleToPriority" minus "L00000000040$pb"
{standard input}:8943:symbol: "__ZL15styleToPriority" can't be undefined in a subtraction expression
{standard input}:8826:non-relocatable subtraction expression, "__ZL15styleToPriority" minus "L00000000040$pb"
{standard input}:8826:symbol: "__ZL15styleToPriority" can't be undefined in a subtraction expression
{standard input}:8825:non-relocatable subtraction expression, "__ZL15styleToPriority" minus "L00000000040$pb"
{standard input}:8825:symbol: "__ZL15styleToPriority" can't be undefined in a subtraction expression
{standard input}:7740:non-relocatable subtraction expression, "L__ZN14nsTArrayHeader9sEmptyHdrE$non_lazy_ptr" minus "L00000000037$pb"
{standard input}:7740:symbol: "L__ZN14nsTArrayHeader9sEmptyHdrE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:7724:non-relocatable subtraction expression, "__ZTV12nsTableFrame" minus "L00000000037$pb"
{standard input}:7724:symbol: "__ZTV12nsTableFrame" can't be undefined in a subtraction expression
{standard input}:7721:non-relocatable subtraction expression, "__ZTV12nsTableFrame" minus "L00000000037$pb"
{standard input}:7721:symbol: "__ZTV12nsTableFrame" can't be undefined in a subtraction expression
{standard input}:7698:non-relocatable subtraction expression, "L__ZTV16nsContainerFrame$non_lazy_ptr" minus "L00000000037$pb"
{standard input}:7698:symbol: "L__ZTV16nsContainerFrame$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:7622:non-relocatable subtraction expression, "L__ZN9nsGkAtoms13tableRowFrameE$non_lazy_ptr" minus "L00000000036$pb"
{standard input}:7622:symbol: "L__ZN9nsGkAtoms13tableRowFrameE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:7617:non-relocatable subtraction expression, "L__ZN9nsGkAtoms18tableRowGroupFrameE$non_lazy_ptr" minus "L00000000036$pb"
{standard input}:7617:symbol: "L__ZN9nsGkAtoms18tableRowGroupFrameE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:7579:non-relocatable subtraction expression, "L__ZN9nsGkAtoms13tableRowFrameE$non_lazy_ptr" minus "L00000000036$pb"
{standard input}:7579:symbol: "L__ZN9nsGkAtoms13tableRowFrameE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:7574:non-relocatable subtraction expression, "L__ZN9nsGkAtoms18tableRowGroupFrameE$non_lazy_ptr" minus "L00000000036$pb"
{standard input}:7574:symbol: "L__ZN9nsGkAtoms18tableRowGroupFrameE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:7567:non-relocatable subtraction expression, "L__ZN9nsGkAtoms10tableFrameE$non_lazy_ptr" minus "L00000000036$pb"
{standard input}:7567:symbol: "L__ZN9nsGkAtoms10tableFrameE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:6715:non-relocatable subtraction expression, "__ZN13nsIDOMElement11COMTypeInfoIiE4kIIDE" minus "L00000000031$pb"
{standard input}:6715:symbol: "__ZN13nsIDOMElement11COMTypeInfoIiE4kIIDE" can't be undefined in a subtraction expression
{standard input}:2574:non-relocatable subtraction expression, "L__ZN9nsGkAtoms10tableFrameE$non_lazy_ptr" minus "L00000000006$pb"
{standard input}:2574:symbol: "L__ZN9nsGkAtoms10tableFrameE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:2549:non-relocatable subtraction expression, "L__ZN9nsGkAtoms10tableFrameE$non_lazy_ptr" minus "L00000000006$pb"
{standard input}:2549:symbol: "L__ZN9nsGkAtoms10tableFrameE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:2546:non-relocatable subtraction expression, "L__ZN9nsGkAtoms18tableRowGroupFrameE$non_lazy_ptr" minus "L00000000006$pb"
{standard input}:2546:symbol: "L__ZN9nsGkAtoms18tableRowGroupFrameE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:2543:non-relocatable subtraction expression, "L__ZN9nsGkAtoms13tableRowFrameE$non_lazy_ptr" minus "L00000000006$pb"
{standard input}:2543:symbol: "L__ZN9nsGkAtoms13tableRowFrameE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:2537:non-relocatable subtraction expression, "L__ZN9nsGkAtoms16bcTableCellFrameE$non_lazy_ptr" minus "L00000000006$pb"
{standard input}:2537:symbol: "L__ZN9nsGkAtoms16bcTableCellFrameE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:2534:non-relocatable subtraction expression, "L__ZN9nsGkAtoms14tableCellFrameE$non_lazy_ptr" minus "L00000000006$pb"
{standard input}:2534:symbol: "L__ZN9nsGkAtoms14tableCellFrameE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:2401:non-relocatable subtraction expression, "L__ZN9nsGkAtoms10tableFrameE$non_lazy_ptr" minus "L00000000005$pb"
{standard input}:2401:symbol: "L__ZN9nsGkAtoms10tableFrameE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:787:non-relocatable subtraction expression, "__ZZL15TableBCPropertyvE10descriptor" minus "L00000000004$pb"
{standard input}:787:symbol: "__ZZL15TableBCPropertyvE10descriptor" can't be undefined in a subtraction expression
{standard input}:696:non-relocatable subtraction expression, "L__ZN9nsGkAtoms10tableFrameE$non_lazy_ptr" minus "L00000000002$pb"
{standard input}:696:symbol: "L__ZN9nsGkAtoms10tableFrameE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:17500:non-relocatable subtraction expression, "__ZTV13nsDisplayItem" minus "L00000000069$pb"
{standard input}:17500:symbol: "__ZTV13nsDisplayItem" can't be undefined in a subtraction expression
{standard input}:17440:non-relocatable subtraction expression, "__ZTV13nsDisplayItem" minus "L00000000068$pb"
{standard input}:17440:symbol: "__ZTV13nsDisplayItem" can't be undefined in a subtraction expression
{standard input}:17426:non-relocatable subtraction expression, "__ZTV30nsDisplayTableBorderBackground" minus "L00000000068$pb"
{standard input}:17426:symbol: "__ZTV30nsDisplayTableBorderBackground" can't be undefined in a subtraction expression
{standard input}:17381:non-relocatable subtraction expression, "__ZTV13nsDisplayItem" minus "L00000000067$pb"
{standard input}:17381:symbol: "__ZTV13nsDisplayItem" can't be undefined in a subtraction expression
{standard input}:17086:non-relocatable subtraction expression, "L__ZN14nsTArrayHeader9sEmptyHdrE$non_lazy_ptr" minus "L00000000066$pb"
{standard input}:17086:symbol: "L__ZN14nsTArrayHeader9sEmptyHdrE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:16468:non-relocatable subtraction expression, "__ZTV13nsDisplayItem" minus "L00000000063$pb"
{standard input}:16468:symbol: "__ZTV13nsDisplayItem" can't be undefined in a subtraction expression
{standard input}:16454:non-relocatable subtraction expression, "__ZTV30nsDisplayTableBorderBackground" minus "L00000000063$pb"
{standard input}:16454:symbol: "__ZTV30nsDisplayTableBorderBackground" can't be undefined in a subtraction expression
{standard input}:15545:non-relocatable subtraction expression, "L__ZN14nsTArrayHeader9sEmptyHdrE$non_lazy_ptr" minus "L00000000058$pb"
{standard input}:15545:symbol: "L__ZN14nsTArrayHeader9sEmptyHdrE$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:7141:non-relocatable subtraction expression, "L__ZTV10nsRunnable$non_lazy_ptr" minus "L00000000033$pb"
{standard input}:7141:symbol: "L__ZTV10nsRunnable$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:7094:non-relocatable subtraction expression, "__ZTV22nsDelayedCalcBCBorders" minus "L00000000033$pb"
{standard input}:7094:symbol: "__ZTV22nsDelayedCalcBCBorders" can't be undefined in a subtraction expression
{standard input}:7045:non-relocatable subtraction expression, "L__ZTV10nsRunnable$non_lazy_ptr" minus "L00000000032$pb"
{standard input}:7045:symbol: "L__ZTV10nsRunnable$non_lazy_ptr" can't be undefined in a subtraction expression
{standard input}:6998:non-relocatable subtraction expression, "__ZTV22nsDelayedCalcBCBorders" minus "L00000000032$pb"
{standard input}:6998:symbol: "__ZTV22nsDelayedCalcBCBorders" can't be undefined in a subtraction expression
{standard input}:5748:non-relocatable subtraction expression, "__ZZN12nsTHashtableI12nsPtrHashKeyI20nsTableRowGroupFrameEE4InitEjE4sOps" minus "L00000000024$pb"
{standard input}:5748:symbol: "__ZZN12nsTHashtableI12nsPtrHashKeyI20nsTableRowGroupFrameEE4InitEjE4sOps" can't be undefined in a subtraction expression
{standard input}:unknown:Undefined local symbol L__ZN9nsGkAtoms10tableFrameE$non_lazy_ptr
{standard input}:unknown:Undefined local symbol L__ZN9nsGkAtoms14tableCellFrameE$non_lazy_ptr
{standard input}:unknown:Undefined local symbol L__ZN9nsGkAtoms16bcTableCellFrameE$non_lazy_ptr
{standard input}:unknown:Undefined local symbol L__ZN9nsGkAtoms13tableRowFrameE$non_lazy_ptr
{standard input}:unknown:Undefined local symbol L__ZN9nsGkAtoms18tableRowGroupFrameE$non_lazy_ptr
{standard input}:unknown:Undefined local symbol L__ZTV10nsRunnable$non_lazy_ptr
{standard input}:unknown:Undefined local symbol L__ZTV16nsContainerFrame$non_lazy_ptr
{standard input}:unknown:Undefined local symbol L__ZN14nsTArrayHeader9sEmptyHdrE$non_lazy_ptr
{standard input}:unknown:Undefined local symbol L__ZN9nsGkAtoms18tableColGroupFrameE$non_lazy_ptr
{standard input}:unknown:Undefined local symbol L__ZN10nsCSSProps17kSubpropertyTableE$non_lazy_ptr
{standard input}:unknown:Undefined local symbol LC89
{standard input}:unknown:Undefined local symbol LC83
{standard input}:unknown:Undefined local symbol LC90
{standard input}:unknown:Undefined local symbol L__ZN14nsCSSAnonBoxes13tableColGroupE$non_lazy_ptr
nsMediaFeatures.cpp
/usr/bin/g++-4.2 -arch i386 -o nsMediaFeatures.o -c  -fvisibility=hidden -DMOZILLA_INTERNAL_API -D_IMPL_NS_COM -DEXPORT_XPT_API -DEXPORT_XPTC_API -D_IMPL_NS_GFX -D_IMPL_NS_WIDGET -DIMPL_XREAPI -DIMPL_NS_NET -DIMPL_THEBES  -DSTATIC_EXPORTABLE_JS_API -DOSTYPE=\"Darwin9.2.0\" -DOSARCH=Darwin -D_IMPL_NS_LAYOUT -I/builds/slave/try-osx-dbg/build/layout/style/../base -I/builds/slave/try-osx-dbg/build/layout/style/../generic -I/builds/slave/try-osx-dbg/build/layout/style/../xul/base/src -I/builds/slave/try-osx-dbg/build/layout/style/../../content/base/src -I/builds/slave/try-osx-dbg/build/layout/style/../../content/html/content/src -I/builds/slave/try-osx-dbg/build/layout/style/../../content/xbl/src -I/builds/slave/try-osx-dbg/build/layout/style/../../content/xul/document/src  -I/builds/slave/try-osx-dbg/build/layout/style -I. -I../../dist/include -I../../dist/include/nsprpub  -I/builds/slave/try-osx-dbg/build/obj-firefox/dist/include/nspr -I/builds/slave/try-osx-dbg/build/obj-firefox/dist/include/nss      -fPIC  -fno-rtti -Wall -Wpointer-arith -Woverloaded-virtual -Wsynth -Wno-ctor-dtor-privacy -Wno-non-virtual-dtor -Wcast-align -Wno-invalid-offsetof -Wno-variadic-macros -Werror=return-type -isysroot /Developer/SDKs/MacOSX10.5.sdk -fno-exceptions -fno-strict-aliasing -fno-common -fshort-wchar -pthread -DNO_X11 -pipe  -DDEBUG -D_DEBUG -DTRACING -g -O3 -fno-omit-frame-pointer   -DMOZILLA_CLIENT -include ../../mozilla-config.h -MD -MF .deps/nsMediaFeatures.pp /builds/slave/try-osx-dbg/build/layout/style/nsMediaFeatures.cpp
make[6]: *** [nsTableFrame.o] Error 1
make[5]: *** [tables_libs] Error 2
Comment 3 Daniel Holbert [:dholbert] 2012-01-09 20:42:04 PST
(If this ends up being mysterious & continues to be problematic, we could always just remove --enable-warnings-as-errors from
  http://mxr.mozilla.org/mozilla-central/source/browser/config/mozconfigs/macosx32/debug
since that's the only platform I've encountered this problem on.)
Comment 4 Mike Hommey [:glandium] 2012-01-10 03:49:57 PST
These error messages remind me of an odd compiler error we got in bug 671423. It seems weird that this would start happening by enabling warnings and/or turning them into errors.
Comment 5 Mounir Lamouri (:mounir) 2012-01-10 05:16:57 PST
Daniel, if you fix the uninitialized warnings, do the compilation errors go away?
Comment 6 Daniel Holbert [:dholbert] 2012-01-10 11:35:12 PST
Good idea; I'll try that and report back.

I did verify that nixing --enable-warnings-as-errors in the "macosx32/debug" mozconfig lets us be green on all platforms:
 https://tbpl.mozilla.org/?tree=Try&rev=da97176de208
(It's not obvious from the TryChooser UI, but that ^ push included FAIL_ON_WARNINGS labels for the tables & SVG/SMIL directories mentioned at the beginning of comment 0. Tbpl just isn't showing those csets because they existed in an earlier push.)
Comment 7 Daniel Holbert [:dholbert] 2012-01-10 11:36:56 PST
(In reply to Daniel Holbert [:dholbert] from comment #6)
> (It's not obvious from the TryChooser UI, but that ^ push included
> FAIL_ON_WARNINGS labels

(er, s/TryChooser/tbpl/)
Comment 8 Daniel Holbert [:dholbert] 2012-01-10 15:08:18 PST
(In reply to Mounir Lamouri (:volkmar) (:mounir) from comment #5)
> Daniel, if you fix the uninitialized warnings, do the compilation errors go
> away?

Yes, they do.

Try push with FAIL_ON_WARNING in /layout/tables:
 https://tbpl.mozilla.org/?tree=Try&rev=92b621d9b7dd  <--- red

Try push with that *and* with all uninitialized variables given an initial value:
  https://tbpl.mozilla.org/?tree=Try&rev=130af0b7870f <--- green

I think that indicates that "-Werror -Wno-error=uninitialized" doesn't work on this platform, and hence we should disable warnings-as-errors there, as I tried in Comment 6.
Comment 9 Daniel Holbert [:dholbert] 2012-01-10 15:28:06 PST
Created attachment 587509 [details] [diff] [review]
patch v1: disable warnings-as-errors on Mac OS X 32-bit builders
Comment 10 Mounir Lamouri (:mounir) 2012-01-10 15:31:37 PST
Comment on attachment 587509 [details] [diff] [review]
patch v1: disable warnings-as-errors on Mac OS X 32-bit builders

I would prefer if glandium could review that. If there is any other way to fix this issue other than disabling warnings-as-errors for MacOS X 32bits he has more chance to know than I do.
Comment 11 Mike Hommey [:glandium] 2012-01-10 23:34:44 PST
Comment on attachment 587509 [details] [diff] [review]
patch v1: disable warnings-as-errors on Mac OS X 32-bit builders

Review of attachment 587509 [details] [diff] [review]:
-----------------------------------------------------------------

The right fix for this would be to disable warnings as error like done in this patch *and* throw an error during configure when enabling warnings as errors given a condition to be determined. That could be something like gcc version <= 4.2, but that needs investigation. I'm not sure it's worth bothering, but if someone wants to, be my guest :)
Comment 12 Daniel Holbert [:dholbert] 2012-01-11 00:29:28 PST
(In reply to Mike Hommey [:glandium] from comment #11)
> That could be something like gcc
> version <= 4.2, but that needs investigation.

For the record, just in case someone ends up looking into this: it's more complicated than just version <= 4.2.  In particular, all our Mac builders (32-bit 10.5 and 64-bit 10.6) use gcc 4.2, but only our 10.5 builders are affected by this.

There are plenty of other variables that could explain it, though -- e.g. hardware differences (32 vs 64 bit in particular), system libraries, or perhaps marginally different flavors of gcc 4.2 between different X versions.
Comment 13 Daniel Holbert [:dholbert] 2012-01-11 00:34:22 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/59cd8f499630
Comment 15 Daniel Holbert [:dholbert] 2012-01-11 08:26:48 PST
I suspect this requires a clobber.  With this bug landed, bug 716699 should be a no-op - there's no way it should be able to trigger the build failure (or have any other effect).
Comment 16 Daniel Holbert [:dholbert] 2012-01-11 08:46:57 PST
Re-pushed:
 https://hg.mozilla.org/integration/mozilla-inbound/rev/96b2fbc34bfb

I'll trigger a clobber on macosx32 before re-landing bug 716699.
Comment 17 Matt Brubeck (:mbrubeck) 2012-01-12 08:36:28 PST
https://hg.mozilla.org/mozilla-central/rev/96b2fbc34bfb

Note You need to log in before you can comment on or make changes to this bug.